# ai_cargolist.hpp File Reference

List all the cargos. More...

`#include "ai_list.hpp"`

Go to the source code of this file.

## Data Structures
class | AICargoList
| Creates a list of cargos that can be produced in the current game. More...
class | AICargoList_IndustryAccepting
| Creates a list of cargos that the given industry accepts. More...
class | AICargoList_IndustryProducing
| Creates a list of cargos that the given industry can produce. More...

## Detailed Description

List all the cargos.

Definition in file ai_cargolist.hpp.